routes/admin.php
<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Admin\HomeController;
use App\Http\Controllers\Admin\DolenciaController;
use App\Http\Controllers\Admin\PlantaController;
use App\Http\Controllers\Admin\DispositivoController;
use App\Http\Controllers\Admin\LimiteController;
use App\Http\Controllers\Admin\CursoController;
use App\Http\Controllers\Admin\LeccionController;
use App\Http\Controllers\User\UserController;
use App\Http\Controllers\Admin\ConfiguracionController;


Route::get('/', [DolenciaController::class, 'index']);
Route::resource('dolencias', DolenciaController::class)->except(['show']);
Route::resource('plantas', PlantaController::class)->except(['show']);
Route::resource('dispositivos', DispositivoController::class);
Route::resource('limites', LimiteController::class);
Route::resource('cursos', CursoController::class);
Route::resource('lecciones', LeccionController::class);
Route::resource('users', UserController::class);
Route::resource('parametros', ConfiguracionController::class);

routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
require 'admin.php';
Route::get('/', function () {
    return view('welcome');
});

app/Models/Limite.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Limite extends Model
{
    use HasFactory,SoftDeletes;
    protected $dates=['delete_at'];
    protected $fillable =[
        'planta_id','caracteristica','maximo','minimo'
    ];

    public function planta()
    {
        return $this->belongsTo(Planta::class);
    }
}

app/Http/Controllers/Admin/LimiteController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Api\ApiController;
use Illuminate\Http\Request;
use App\Models\Planta;
use App\Models\Limite;
use App\Rules\ValidRangeLimit;

class LimiteController extends ApiController
{
    const RANGO_VALIDACION='between:0,99.99';
    const INDEX='limites.index';

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        $planta = Planta::with('limites')->find($request->input('planta'));
        return view('admin.limite.index',compact('planta'));
        //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create(Request $request)
    {
        //
        
        $planta=Planta::with('dolencia')->find($request->input('planta'));
        return view('admin.limite.create',compact('planta'));

    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request,Limite $limite)
    {
        //
        $request->validate([
            'caracteristica'=> 'required',
            'maximo'=> ['required',self::RANGO_VALIDACION,'numeric'],  
            'minimo'=>['required',self::RANGO_VALIDACION,'numeric']
        ]);
        
        $limites=Limite::create($request->all());

        return redirect()->route(self::INDEX,['planta'=>$limites->planta_id])->with('info','Limite agregdo con exito');

    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit(Limite $limite)
    {
        //
        
        $planta=Planta::find($limite->planta_id);
        
        return view('admin.limite.edit',compact('limite','planta'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Limite $limite)
    {
        //
        $request->validate([
            'caracteristica'=> 'required',
            'maximo'=> ['required',self::RANGO_VALIDACION,'numeric'],  
            'minimo'=>['required',self::RANGO_VALIDACION,'numeric']
        ]);
        $limite->update($request->all());
        return redirect()->route(self::INDEX,['planta'=>$limite->planta_id])->with('info','Limite editado con exito');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy(Limite $limite)
    {
        //        
        $limite->delete();
        return redirect()->route(self::INDEX,['planta'=>$limite->planta_id])->with('info','Limite borrado con exito');
    }
}

resources/views/admin/limite/create.blade.php
@extends('adminlte::page')

@section('title', 'Cultivo Urbano IoT')

@section('content_header')

@stop

@section('content')
<nav aria-label="breadcrumb">
    <ol class="breadcrumb">
      <li class="breadcrumb-item"><a href="{{route('dolencias.index')}}">Dolencias</a></li>
      <li class="breadcrumb-item"><a href="{{route('plantas.index', ['dolencia'=>$planta->dolencia_id])}}">Plantas</a></li>
      <li class="breadcrumb-item"><a href="{{route('limites.index', ['planta'=>$planta->id])}}">Limites</a></li>
      <li class="breadcrumb-item active" aria-current="page">Crear</li>
    </ol>
  </nav>

    <div class="container">
        <div class="card">
            <div class="card-body">
                {!!Form::open(['route'=>'limites.store'])!!}
                {!!Form::hidden('planta_id',$planta->id)!!}
                <div class="form-group">
                    {!! Form::label('name', 'Caracteristica') !!}
                    {!! Form::text('caracteristica', null, ['class' => 'form-control']) !!}
                    @error('caracteristica')
                        <span class="text-danger">{{$message}}</span>
                    @enderror
                </div>
                <div class="form-group">
                    {!! Form::label('name', 'Valor Máximo') !!}
                    {!! Form::text('maximo', null, ['class' => 'form-control']) !!}
                    @error('maximo')
                        <span class="text-danger">{{$message}}</span>
                    @enderror
                </div>
                <div class="form-group">
                    {!! Form::label('name', 'Valor minimo') !!}
                    {!! Form::text('minimo', null, ['class' => 'form-control']) !!}
                    @error('minimo')
                        <span class="text-danger">{{$message}}</span>
                    @enderror
                </div>
                
                {!! Form::submit('Guardar', ['class'=>'btn btn-primary']) !!}
                {!!Form::close([])!!}
            </div>
        </div>
    </div>
@stop

@section('css')
    <link rel="stylesheet" href="/css/admin_custom.css">
@stop

resources/views/admin/limite/edit.blade.php
@extends('adminlte::page')

@section('title', 'Cultivo Urbano IoT')

@section('content_header')

@stop

@section('content')
<nav aria-label="breadcrumb">
    <ol class="breadcrumb">
      <li class="breadcrumb-item"><a href="{{route('dolencias.index')}}">Dolencias</a></li>
      <li class="breadcrumb-item"><a href="{{route('plantas.index', ['dolencia'=>$planta->dolencia_id])}}">Plantas</a></li>
      <li class="breadcrumb-item"><a href="{{route('limites.index', ['planta'=>$limite->planta_id])}}">Limites</a></li>
      <li class="breadcrumb-item active" aria-current="page">Editar</li>
    </ol>
  </nav>

    <div class="container">
        <div class="card">
            <div class="card-body">
                {!!Form::model($limite,['route'=>['limites.update',$limite],'method'=>'put'])!!}                
                <div class="form-group">
                    {!! Form::label('name', 'Caracteristica') !!}
                    {!! Form::text('caracteristica', null, ['class' => 'form-control']) !!}
                    @error('caracteristica')
                        <span class="text-danger">{{$message}}</span>
                    @enderror
                </div>
                <div class="form-group">
                    {!! Form::label('name', 'Valor Máximo') !!}
                    {!! Form::text('maximo', null, ['class' => 'form-control']) !!}
                    @error('maximo')
                        <span class="text-danger">{{$message}}</span>
                    @enderror
                </div>
                <div class="form-group">
                    {!! Form::label('name', 'Valor minimo') !!}
                    {!! Form::text('minimo', null, ['class' => 'form-control']) !!}
                    @error('minimo')
                        <span class="text-danger">{{$message}}</span>
                    @enderror
                </div>
                
                {!! Form::submit('Guardar', ['class'=>'btn btn-primary']) !!}
                {!!Form::close([])!!}
            </div>
        </div>
    </div>
@stop

@section('css')
    <link rel="stylesheet" href="/css/admin_custom.css">
@stop

resources/views/admin/limite/index.blade.php
@extends('adminlte::page')

@section('title', 'Cultivo Urbano IoT')

@section('content_header')

@stop

@section('content')
<nav aria-label="breadcrumb">
    <ol class="breadcrumb">
      <li class="breadcrumb-item"><a href="{{route('dolencias.index')}}">Dolencias</a></li>
      <li class="breadcrumb-item"><a href="{{route('plantas.index',['dolencia'=>$planta->dolencia_id])}}">Plantas</a></li>
      <li class="breadcrumb-item active" aria-current="page">Limites para {{$planta->nombre}} </li>
    </ol>
  </nav>
                   <!-- Begin Page Content -->
                   <div class="container-fluid">

                    <!-- Page Heading -->
                    
                                 
                    @if(session('info'))            
                    <div class="row" id="alert_box">
                        <div class="col-12">
                            <div class="alert alert-success" role="alert">
                                <strong>{{session('info')}}</strong>
                            </div>
                        </div>
                    </div>
                    @endif

                    <!-- DataTales Example -->
                    <div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <a  class="btn btn-primary" role="button" href="{{route('limites.create',['planta'=>$planta->id])}}">Crear</a>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table table-bordered" id="dataTable" aria-describedby="Lista de registros de la sección"  >
                                    <thead>
                                        <tr>
                                            <th scope="col">caracteristica</th>                                             
                                            <th scope="col">Mínimo</th>
                                            <th scope="col">Máximo</th>
                                            <th scope="col">Acciones</th>    
                                        </tr>
                                    </thead>                                  
                                    <tbody>
                                        
                                        @foreach($planta->limites as $limite)

                                        
                                        <tr>
                                            <td>{{$limite->caracteristica}}</td>                                            
                                            <td>{{$limite->minimo}}</td>
                                            <td>{{$limite->maximo}}</td>
                                            
                                            <td><div class="acciones">
                                                    <a href="{{route('limites.edit',$limite)}}" class="tooltipped" data-position="bottom" data-toggle="tooltip" data-placement="top" title="Editar " >
                                                        <i class="fa fa-cog" aria-hidden="true"></i>
                                                    </a>                                                   
                                                    <a class="tooltipped" data-position="bottom"data-toggle="tooltip" data-placement="top" title="Eliminar" onclick="showConfirmDeleteModal('{{$limite->caracteristica}}', '{{route('limites.destroy',$limite)}}')" >
                                                        <i class="fa fa-trash" aria-hidden="true"></i>
                                                    </a>
                                                </div>
                                            </td>
                                        </tr>  
                                        @endforeach                                        
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>

                </div>
                <!-- /.container-fluid -->

               
                    <!-- Modal -->
                    <div class="modal fade" id="modal1" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                        <div class="modal-content">
                            <div class="modal-header">
                            <h5 class="modal-title" id="exampleModalLabel">Eliminar</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                            </div>
                            <div class="modal-body">
                                Esta seguro de eliminar el registro <strong><span id="deleteName"></span>. 
                            </div>
                            <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                            <form method="POST" id="deleteForm" accept-charset="UTF-8" style="display:inline-block">
                                @csrf
                                @method('delete')                    
                                <button type="submit" class="btn btn-danger" value="Confirmar">Confirmar                    
                             </form>
                            </div>
                        </div>
                        </div>
                    </div>


@stop

@section('css')
    <link rel="stylesheet" href="/css/admin_custom.css">
@stop

@section('js')
<script>
    $(document).ready(function() {
        $('#dataTable').DataTable();
    } ); 
    
    @if(session('info'))
    $( "#alert_box" ).fadeOut( 5000, function() {

    });

    @endif

    function showConfirmDeleteModal(name, url) 
        {
            var modal= $('#modal1').modal();       
            console.log(name)
            console.log(url)
            $('#deleteForm').prop('action', url);
            $('#deleteName').text(name);
            modal.modal('show');  
        }
    
    </script>
@stop